Résolu le 15-07-19 Réinstaller NVIDIA-driver-390

Installation, configuration et utilisation des logiciels que vous souhaitez installer.
clm
Messages : 37
Enregistré le : mer. 7 sept. 2016 08:29

Réinstaller NVIDIA-driver-390

Message par clm » ven. 12 juil. 2019 19:36

Bonjour,

Ayant voulu essayer la version 340 du driver Nvidia pour tester un logiciel qui avait des problèmes avec le driver 390 et qui s'est soldé par une erreur, je n'arrive plus à revenir à la version 390. J'ai fait des tas de manips suite à ce que j'ai pu lire sur les forums, sans résultats. J'ai eu des liens cassés et j'en passe...
Bref, maintenant j'ai cet écran du gestionnaire de pilotes :

Image

inxi -Sr donne ceci

Code : Tout sélectionner

chris@chris ~ $ inxi -Sr
System:
  Host: chris Kernel: 4.15.0-54-generic x86_64 bits: 64 
  Desktop: Cinnamon 4.0.10 Distro: Linux Mint 19.1 Tessa 
Repos:
  No active apt repos in: /etc/apt/sources.list 
  Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list 
  1: deb http://packages.linuxmint.com tessa main upstream import backport
  2: deb http://archive.ubuntu.com/ubuntu bionic main restricted universe multiverse
  3: deb http://archive.ubuntu.com/ubuntu bionic-updates main restricted universe multiverse
  4: deb http://archive.ubuntu.com/ubuntu bionic-backports main restricted universe multiverse
  5: deb http://security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
  6: deb http://archive.canonical.com/ubuntu/ bionic partner
apt search ?broken :

Code : Tout sélectionner

chris@chris ~ $ apt search ?broken
E: Error saving configuration file - apt_dumpcfg (13: Permission non accordée)
E: Error saving configuration file - apt_dumpcfg (13: Permission non accordée)
iBA libmng2:i386                    - Multiple-image Network Graphics library   
iB  libnvidia-decode-390:i386       - NVIDIA Video Decoding runtime libraries   
iB  libnvidia-encode-390:i386       - NVENC Video Encoding runtime library      
iB  libnvidia-fbc1-390:i386         - NVIDIA OpenGL-based Framebuffer Capture ru
pBA libnvidia-gl-390                - NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries
BB  libnvidia-ifr1-390              - NVIDIA OpenGL-based Inband Frame Readback 
cB  nvidia-340                      - NVIDIA binary driver - version 340.107    
pB  pidgin-libnotify                - display notification bubbles in pidgin    
pB  ubiquity                        - Linux Mint live CD installer              
pB  ubiquity-frontend-gtk           - GTK+ frontend for Ubiquity live installer 
sudo dpkg --configure -a :

Code : Tout sélectionner

chris@chris ~ $ sudo dpkg --configure -a
[sudo] Mot de passe de chris :    
dpkg: des problèmes de dépendances empêchent la configuration de libnvidia-ifr1-390:amd64 :
 libnvidia-ifr1-390:amd64 dépend de libnvidia-gl-390 ; cependant :
  Le paquet libnvidia-gl-390:amd64 n'est pas installé.

dpkg: erreur de traitement du paquet libnvidia-ifr1-390:amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 libnvidia-ifr1-390:amd64
apt install --simulate :

Code : Tout sélectionner

chris@chris ~ $ apt install --simulate
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-390 : Dépend: libnvidia-gl-390 mais il n'est pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
Comment faire pour revenir au pilote initial ?
Ordi principal : LinuxMint 19.1 Tessa - CM Asus P8H67 MLE - CPU i3 2100T - 12 Go Ram - Nvidia Geforce GTX 770 - Driver Nvidia 390
Ordi portable : HP notebook 15-da0118nf - Dual boot W10 / Linux Mint 19.1 - Cinnamon 4.0.10 - noyau linux 4.15.0-54 - intel core i3-7020u - GPT/EFI

Avatar du membre
alain
Messages : 6860
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Réinstaller NVIDIA-driver-390

Message par alain » ven. 12 juil. 2019 20:10

Bonjour Clm.

commence a faire ce qu'on te propose:

Code : Tout sélectionner

sudo apt --fix-broken install
Et on verra ensuite si ça ne suffit pas.
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

clm
Messages : 37
Enregistré le : mer. 7 sept. 2016 08:29

Re: Réinstaller NVIDIA-driver-390

Message par clm » sam. 13 juil. 2019 08:46

Malheureusement "apt --fix-broken" n'est pas ou n'est plus dans les extensions possibles de "apt" :

Code : Tout sélectionner

chris@chris ~ $ sudo apt --fix-broken install
[sudo] Mot de passe de chris :    
apt
Usage: apt command [options]
       apt help command [options]

Commands:
  add-repository   - Add entries to apt sources.list
  autoclean        - Erase old downloaded archive files
  autoremove       - Remove automatically all unused packages
  build            - Build binary or source packages from sources
  build-dep        - Configure build-dependencies for source packages
  changelog        - View a package's changelog
  check            - Verify that there are no broken dependencies
  clean            - Erase downloaded archive files
  contains         - List packages containing a file
  content          - List files contained in a package
  deb              - Install a .deb package
  depends          - Show raw dependency information for a package
  dist-upgrade     - Upgrade the system by removing/installing/upgrading packages
  download         - Download the .deb file for a package
  edit-sources     - Edit /etc/apt/sources.list with your preferred text editor
  dselect-upgrade  - Follow dselect selections
  full-upgrade     - Same as 'dist-upgrade'
  held             - List all held packages
  help             - Show help for a command
  hold             - Hold a package
  install          - Install/upgrade packages
  list             - List packages based on package names
  policy           - Show policy settings
  purge            - Remove packages and their configuration files
  recommends       - List missing recommended packages for a particular package
  rdepends         - Show reverse dependency information for a package
  reinstall        - Download and (possibly) reinstall a currently installed package
  remove           - Remove packages
  search           - Search for a package by name and/or expression
  show             - Display detailed information about a package
  showhold         - Same as 'held'
  source           - Download source archives
  sources          - Same as 'edit-sources'
  unhold           - Unhold a package
  update           - Download lists of new/upgradable packages
  upgrade          - Perform a safe upgrade
  version          - Show the installed version of a package

j'ai fait un "sudo apt-get clean" suivi d'un "sudo apt-get update" puis un "sudo apt-get upgrade -f" qui donne ceci :

Code : Tout sélectionner

chris@chris ~ $ sudo apt-get upgrade -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libnvidia-cfg1-390 libnvidia-decode-390 libnvidia-encode-390
  libnvidia-fbc1-390 libwayland-server0:i386 nvidia-compute-utils-390
  nvidia-dkms-390 nvidia-kernel-common-390 nvidia-kernel-source-390
  nvidia-utils-390 xserver-xorg-video-nvidia-390
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-390
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
9 partiellement installés ou enlevés.
Il est nécessaire de prendre 14,3 Mo dans les archives.
Après cette opération, 73,8 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de :1 http://archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 libnvidia-gl-390 amd64 390.116-0ubuntu0.18.04.1 [14,3 MB]
14,3 Mo réceptionnés en 1min 8s (210 ko/s)                                     
(Lecture de la base de données... 904712 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-390 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb (--unpack) :
 new libnvidia-gl-390:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ordi principal : LinuxMint 19.1 Tessa - CM Asus P8H67 MLE - CPU i3 2100T - 12 Go Ram - Nvidia Geforce GTX 770 - Driver Nvidia 390
Ordi portable : HP notebook 15-da0118nf - Dual boot W10 / Linux Mint 19.1 - Cinnamon 4.0.10 - noyau linux 4.15.0-54 - intel core i3-7020u - GPT/EFI

Avatar du membre
alain
Messages : 6860
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Réinstaller NVIDIA-driver-390

Message par alain » sam. 13 juil. 2019 12:09

Je ne vois pas dans tes retours.
As tu essayé :

Code : Tout sélectionner

sudo apt-get install -f
?
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

clm
Messages : 37
Enregistré le : mer. 7 sept. 2016 08:29

Re: Réinstaller NVIDIA-driver-390

Message par clm » sam. 13 juil. 2019 18:10

sudo apt-get install -f donne ceci :

Code : Tout sélectionner

chris@chris ~ $ sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libnvidia-cfg1-390 libnvidia-decode-390 libnvidia-encode-390
  libnvidia-fbc1-390 libwayland-server0:i386 nvidia-compute-utils-390
  nvidia-dkms-390 nvidia-kernel-common-390 nvidia-kernel-source-390
  nvidia-utils-390 xserver-xorg-video-nvidia-390
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libnvidia-gl-390
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-390
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
9 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/14,3 Mo dans les archives.
Après cette opération, 73,8 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 904712 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-390 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb (--unpack) :
 new libnvidia-gl-390:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ce qui m'interpelle un peu ce sont les "détournements" de libGL.so.1 vers nvidia-340 :?:
J'avais essayé le driver 340 mais cela s'était soldé par une erreur et je m'étais retrouvé avec le driver xserver-xorg-video-nouveau et chaque tentative de retour vers le 390 s’était soldée par un échec.

et sudo apt autoremove :

Code : Tout sélectionner

chris@chris ~ $ sudo apt autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-390 : Dépend: libnvidia-gl-390 mais il n'est pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
Ordi principal : LinuxMint 19.1 Tessa - CM Asus P8H67 MLE - CPU i3 2100T - 12 Go Ram - Nvidia Geforce GTX 770 - Driver Nvidia 390
Ordi portable : HP notebook 15-da0118nf - Dual boot W10 / Linux Mint 19.1 - Cinnamon 4.0.10 - noyau linux 4.15.0-54 - intel core i3-7020u - GPT/EFI

Avatar du membre
alain
Messages : 6860
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Réinstaller NVIDIA-driver-390

Message par alain » sam. 13 juil. 2019 18:49

Le 340 t'était proposé dans le gestionnaire de pilotes, ou tu l'as téléchargé et essayé de l'installer toi même?
Je pose la question car je suis étonné que le pilote 340 soit proposé par le gestionnaire (comme sur ta capture) alors que la carte GTX 770 n'était pas sortie à l'époque du 340 :?

Donc si tu as essayé de l'installé toi même, tu dois savoir comment et quels paquets ont été installés.
Je te propose, vu qu'actuellement tu tourne sur le pilote libre "nouveau" et que cela semble fonctionner,
de désinstaller le pilote nvidia 340.
Je ne sais pas comment s'appelle le paquet exactement, et la étant en vacances, je ne suis pas sous Linux Mint ni ubuntu, je ne peux donc pas retrouver l'intitulé exacte.
Mais je crois me souvenir que c'est simplement : "nvidia-340".
Donc tente un:

Code : Tout sélectionner

sudo apt-get purge nvidia-340
Mais regarde si c'est bien ça le nom, sinon modifie la commande en fonction.
Cela fera une désinstallation complète ce qui peut nous laisser espérer qu'il n'influencera plus "libGL.so.1" quand tu refera

Code : Tout sélectionner

sudo apt-get install -f
Je ne garanti rien, ne sachant trop ce que tu as fait et ne pouvant pas faire de tests de mon côté.
Mais tu ne risque rien a tester, car tu es sous le pilote "nouveau".
HS: Qu'est ce qui t'a fait penser qu'un ancien pilote sur une carte graphique presque moderne pouvait
améliorer le fonctionnement? généralement l'erreur est inverse, les gens ont tendance à installer le tout dernier pilote sur une veille carte, ce qui n'est pas mieux car le support de vielles cartes est supprimé des nouvelles versions de pilote
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

clm
Messages : 37
Enregistré le : mer. 7 sept. 2016 08:29

Re: Réinstaller NVIDIA-driver-390

Message par clm » sam. 13 juil. 2019 19:39

Sincèrement désolé de te déranger pendant tes vacances que j'espère ensoleillées !... :D

En regardant dans les paquets synaptic, je n'ai rien concernant le driver 340.
Avec apt-get purge nvidia-340 (qui s'appelle ainsi dans le gestionnaire de pilotes) il me ramène au 390 :

Code : Tout sélectionner

chris@chris ~ $ sudo apt-get purge nvidia-340
[sudo] Mot de passe de chris :    
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-390 : Dépend: libnvidia-gl-390 mais ne sera pas installé
 libnvidia-ifr1-390:i386 : Dépend: libnvidia-gl-390:i386 mais ne sera pas installé
 nvidia-driver-390 : Dépend: libnvidia-gl-390 (= 390.116-0ubuntu0.18.04.1) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
J'ai supprimé le paquet cassé "libnvidia-ifr1-390" au moyen de synaptics suivi d'un "apt autoremove" et j'ai retrouvé la main sur le gestionnaire de pilotes
qui m'a mis sur "xserver-xorg-video-nouveau".
Ensuite, j'ai reselectionné le nvidia-driver-390 (gestionnaire de pilotes) mais l'installation retourne des erreurs :

Code : Tout sélectionner

installArchives() failed: Selecting previously unselected package libnvidia-cfg1-390:amd64.
(Reading database ... 
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 904289 files and directories currently installed.)
Preparing to unpack .../00-libnvidia-cfg1-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libnvidia-cfg1-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package libnvidia-common-390.
Preparing to unpack .../01-libnvidia-common-390_390.116-0ubuntu0.18.04.1_all.deb ...
Unpacking libnvidia-common-390 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package libnvidia-decode-390:amd64.
Preparing to unpack .../02-libnvidia-decode-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libnvidia-decode-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package libnvidia-encode-390:amd64.
Preparing to unpack .../03-libnvidia-encode-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libnvidia-encode-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package libnvidia-fbc1-390:amd64.
Preparing to unpack .../04-libnvidia-fbc1-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libnvidia-fbc1-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Preparing to unpack .../05-libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib by nvidia-340
dpkg-divert: error: mismatch on package
  when removing 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 by libnvidia-gl-390'
  found 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib by nvidia-340'
dpkg: error processing archive /tmp/apt-dpkg-install-DKekeC/05-libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb (--unpack):
 new libnvidia-gl-390:amd64 package pre-installation script subprocess returned error exit status 2
Selecting previously unselected package libwayland-server0:i386.
Preparing to unpack .../06-libwayland-server0_1.16.0-1ubuntu1.1~18.04.1_i386.deb ...
Unpacking libwayland-server0:i386 (1.16.0-1ubuntu1.1~18.04.1) ...
Preparing to unpack .../07-libnvidia-gl-390_390.116-0ubuntu0.18.04.1_i386.deb ...
diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/i386-linux-gnu/libGL.so.1.distrib by nvidia-340
dpkg-divert: error: mismatch on package
  when removing 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1 by libnvidia-gl-390'
  found 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/i386-linux-gnu/libGL.so.1.distrib by nvidia-340'
dpkg: error processing archive /tmp/apt-dpkg-install-DKekeC/07-libnvidia-gl-390_390.116-0ubuntu0.18.04.1_i386.deb (--unpack):
 new libnvidia-gl-390:i386 package pre-installation script subprocess returned error exit status 2
Selecting previously unselected package libnvidia-ifr1-390:amd64.
Preparing to unpack .../08-libnvidia-ifr1-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libnvidia-ifr1-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package libnvidia-ifr1-390:i386.
Preparing to unpack .../09-libnvidia-ifr1-390_390.116-0ubuntu0.18.04.1_i386.deb ...
Unpacking libnvidia-ifr1-390:i386 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package nvidia-compute-utils-390.
Preparing to unpack .../10-nvidia-compute-utils-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking nvidia-compute-utils-390 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package nvidia-kernel-source-390.
Preparing to unpack .../11-nvidia-kernel-source-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking nvidia-kernel-source-390 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package nvidia-kernel-common-390.
Preparing to unpack .../12-nvidia-kernel-common-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking nvidia-kernel-common-390 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package nvidia-dkms-390.
Preparing to unpack .../13-nvidia-dkms-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking nvidia-dkms-390 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package nvidia-utils-390.
Preparing to unpack .../14-nvidia-utils-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking nvidia-utils-390 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package xserver-xorg-video-nvidia-390.
Preparing to unpack .../15-xserver-xorg-video-nvidia-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking xserver-xorg-video-nvidia-390 (390.116-0ubuntu0.18.04.1) ...
Selecting previously unselected package nvidia-driver-390.
Preparing to unpack .../16-nvidia-driver-390_390.116-0ubuntu0.18.04.1_amd64.deb ...
Unpacking nvidia-driver-390 (390.116-0ubuntu0.18.04.1) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-DKekeC/05-libnvidia-gl-390_390.116-0ubuntu0.18.04.1_amd64.deb
 /tmp/apt-dpkg-install-DKekeC/07-libnvidia-gl-390_390.116-0ubuntu0.18.04.1_i386.deb
Setting up nvidia-kernel-source-390 (390.116-0ubuntu0.18.04.1) ...
dpkg: dependency problems prevent configuration of nvidia-driver-390:
 nvidia-driver-390 depends on libnvidia-gl-390 (= 390.116-0ubuntu0.18.04.1); however:
  Package libnvidia-gl-390:amd64 is not installed.

dpkg: error processing package nvidia-driver-390 (--configure):
 dependency problems - leaving unconfigured
Setting up libnvidia-fbc1-390:amd64 (390.116-0ubuntu0.18.04.1) ...
dpkg: dependency problems prevent configuration of libnvidia-ifr1-390:amd64:
 libnvidia-ifr1-390:amd64 depends on libnvidia-gl-390; however:
  Package libnvidia-gl-390:amd64 is not installed.

dpkg: error processing package libnvidia-ifr1-390:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libnvidia-ifr1-390:i386:
 libnvidia-ifr1-390:i386 depends on libnvidia-gl-390; however:
  Package libnvidia-gl-390:i386 is not installed.

dpkg: error processing package libnvidia-ifr1-390:i386 (--configure):
 dependency problems - leaving unconfigured
Setting up nvidia-utils-390 (390.116-0ubuntu0.18.04.1) ...
Setting up nvidia-kernel-common-390 (390.116-0ubuntu0.18.04.1) ...
update-initramfs: deferring update (trigger activated)
Setting up libnvidia-cfg1-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Setting up xserver-xorg-video-nvidia-390 (390.116-0ubuntu0.18.04.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Setting up libnvidia-decode-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Setting up nvidia-compute-utils-390 (390.116-0ubuntu0.18.04.1) ...
Attention! Impossible d'accder au rpertoire personnel que vous avez indiqu (/nonexistent): No such file or directory.
Ajout de l'utilisateur systme nvidia-persistenced (UID 115) ...
Ajout du nouveau groupe nvidia-persistenced (GID 124) ...
Ajout du nouvel utilisateur nvidia-persistenced (UID 115) avec pour groupe d'appartenance nvidia-persistenced ...
Le rpertoire personnel /nonexistent n'a pas t cr.
Setting up libnvidia-common-390 (390.116-0ubuntu0.18.04.1) ...
Setting up libwayland-server0:i386 (1.16.0-1ubuntu1.1~18.04.1) ...
Setting up libnvidia-encode-390:amd64 (390.116-0ubuntu0.18.04.1) ...
Setting up nvidia-dkms-390 (390.116-0ubuntu0.18.04.1) ...
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
Loading new nvidia-390.116 DKMS files...
Building for 4.15.0-54-generic
Building for architecture x86_64
Building initial module for 4.15.0-54-generic
Done.

nvidia:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-54-generic/kernel/drivers/char/drm/

nvidia-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-54-generic/kernel/drivers/char/drm/

nvidia-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-54-generic/kernel/drivers/char/drm/

nvidia-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-54-generic/kernel/drivers/char/drm/

depmod......

DKMS: install completed.
Processing triggers for initramfs-tools (0.130ubuntu3.8) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-54-generic
Warning: No support for locale: fr_FR.utf8
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Pour info, il y a des conflits avec les dépendances de "libnvidia-ifr1-390"

Image
Ordi principal : LinuxMint 19.1 Tessa - CM Asus P8H67 MLE - CPU i3 2100T - 12 Go Ram - Nvidia Geforce GTX 770 - Driver Nvidia 390
Ordi portable : HP notebook 15-da0118nf - Dual boot W10 / Linux Mint 19.1 - Cinnamon 4.0.10 - noyau linux 4.15.0-54 - intel core i3-7020u - GPT/EFI

clm
Messages : 37
Enregistré le : mer. 7 sept. 2016 08:29

Re: Réinstaller NVIDIA-driver-390

Message par clm » dim. 14 juil. 2019 19:28

Bonjour,

Compte-rendu de mes essais du week-end :

Plusieurs désinstallations et réinstallations du driver 390, sans succès : A chaque fois 3 paquets cassés. Le gestionnaire de pilotes me marque bien que c'est le driver 390 qui est utilisé mais je n'ai pas d'accélération matérielle, cinnamon est en mode de rendu et ça rame !... Pour mon simulateur de vol, c'est la galère : 2 fps (frames per second) au lieu de 50 habituellement.
Ce qui est étonnant c'est qu'après avoir fait "sudo apt purge nvidia-390 -y" puis "sudo apt autoremove -y" puis "sudo apt clean", il reste encore des librairies "libnvidia xxx" installées.

Mon dernier essai a consisté une nouvelle fois à désinstaller le 390 en supprimant tous les paquets nvidia et libnvidia dans synaptic puis d'installer le driver 430 depuis le ppa "graphics drivers".
Et là encore, 3 paquets cassés et pas d'accélération matérielle.

Je pense donc qu'il serait possible que j'ai un problème d'installation de linux mint 19.1 et qu'il serait peut-être bon que j'effectue une réinstall de mint.
Qu'en pensez-vous ?
Ordi principal : LinuxMint 19.1 Tessa - CM Asus P8H67 MLE - CPU i3 2100T - 12 Go Ram - Nvidia Geforce GTX 770 - Driver Nvidia 390
Ordi portable : HP notebook 15-da0118nf - Dual boot W10 / Linux Mint 19.1 - Cinnamon 4.0.10 - noyau linux 4.15.0-54 - intel core i3-7020u - GPT/EFI

Avatar du membre
alain
Messages : 6860
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Réinstaller NVIDIA-driver-390

Message par alain » dim. 14 juil. 2019 21:10

salut Clm.

Effectivement vu le broll (le wouaille), tu gagnerais ton temps.
Donc a ta question, je réponds: "comme toi"
A moins bien entendu que quelqu'un d'autre ait une meilleur solution.
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

clm
Messages : 37
Enregistré le : mer. 7 sept. 2016 08:29

Re: Réinstaller NVIDIA-driver-390

Message par clm » lun. 15 juil. 2019 11:02

Bonjour Alain,

Finalement, je n'ai pas eu besoin de réinstaller mint, j'ai trouvé la solution ici :
https://ubuntuforums.org/showthread.php ... st13797330

suivi de :

Code : Tout sélectionner

sudo apt-get update
sudo apt-get upgrade
sudo apt install nvidia-driver-390
Et tout est redevenu normal (plus de diversion vers 340), y compris l'accélération matérielle... ouf! :D

Encore merci et ... bonnes vacances!
Ordi principal : LinuxMint 19.1 Tessa - CM Asus P8H67 MLE - CPU i3 2100T - 12 Go Ram - Nvidia Geforce GTX 770 - Driver Nvidia 390
Ordi portable : HP notebook 15-da0118nf - Dual boot W10 / Linux Mint 19.1 - Cinnamon 4.0.10 - noyau linux 4.15.0-54 - intel core i3-7020u - GPT/EFI

Répondre